import vl from 'vega-lite-api';
export 
const viz = vl
  .markLine({ size: 3 })
  .encode(
    vl
      .y()
      .fieldQ('Means')
      .title('Score'),
    vl
      .x()
      .fieldT('Year')
      .scale({ nice: false })
      .title('YEAR'),
    vl
      .color()
      .fieldN('Type')
      //.scale({ domain: [2015, 2016, 2017, 2018, 2019] })
      .title('Signature'),
    vl.tooltip().fieldQ('SD')
  );
